using C1.Win.TrueDBGrid;
using System.Collections.ObjectModel;
using System.Diagnostics;

namespace TrueDBGridExcel
{
    public partial class Form1 : Form
    {
        ObservableCollection<Data> data;
        public Form1()
        {
            InitializeComponent();
            data = new ObservableCollection<Data>();
            var random = new Random();
            for(int i = 0; i < 20;i++)
            {
                data.Add(new Data(i,random.Next(100,5000)));
            }
            c1TruedbGrid1.DataSource = data;
        }

        private void excelBtn_Click(object sender, EventArgs e)
        {
            c1TruedbGrid1.ExportToExcel("Result.xls");
            ProcessStartInfo psInfo = new ProcessStartInfo
            {
                FileName = "Result.xls",
                UseShellExecute = true
            };
            Process.Start(psInfo);

        }
     
    }
    class Data
    {
        public int Id { get; set; }
        public double Price { get; set; }
        public Data(int id, double price)
        {
            Id = id;
            Price = price;
        }
    }
}